<?php
namespace Pinpoint\Feefo\Api;

use Pinpoint\Feefo\Api\Data\FeefoServiceReviewInterface;
use Magento\Framework\Api\SortOrder;
use Magento\Framework\Api\SearchCriteriaInterface;

/**
 * Interface FeefoServiceReviewRepositoryInterface
 * @package Pinpoint\Feefo\Api
 */
interface FeefoServiceReviewRepositoryInterface
{
    /**
     * @param FeefoServiceReviewInterface $page
     * @return mixed
     */
    public function save(FeefoServiceReviewInterface $page);

    /**
     * @param $id
     * @return mixed
     */
    public function getById($id);

    /**
     * @param SearchCriteriaInterface $criteria
     * @return mixed
     */
    public function getList(SearchCriteriaInterface $criteria);

    /**
     * @param FeefoServiceReviewInterface $page
     * @return mixed
     */
    public function delete(FeefoServiceReviewInterface $page);

    /**
     * @param $id
     * @return mixed
     */
    public function deleteById($id);
}
